XSAnnotation (XML Schema API)
Date: 2018-10-16

org.apache.xerces.xs

## Interface XSAnnotation

- All Superinterfaces:
    XSObject

      public interface XSAnnotation
      extends XSObject

  This interface represents the Annotation schema component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `SAX_CONTENTHANDLER` The object type is `org.xml.sax.ContentHandler`.
    `static short` | `W3C_DOM_DOCUMENT` The object type is `org.w3c.dom.Document`.
    `static short` | `W3C_DOM_ELEMENT` The object type is `org.w3c.dom.Element`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotationString()` A text representation of the annotation.
    `boolean` | `writeAnnotation(java.lang.Object target, short targetType)` Write contents of the annotation to the specified object.

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Field Detail

    - #### W3C_DOM_ELEMENT

          static final short W3C_DOM_ELEMENT

      The object type is `org.w3c.dom.Element`.
      See Also:
        Constant Field Values

    - #### SAX_CONTENTHANDLER

          static final short SAX_CONTENTHANDLER

      The object type is `org.xml.sax.ContentHandler`.
      See Also:
        Constant Field Values

    - #### W3C_DOM_DOCUMENT

          static final short W3C_DOM_DOCUMENT

      The object type is `org.w3c.dom.Document`.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### writeAnnotation

          boolean writeAnnotation(java.lang.Object target,
                                  short targetType)

      Write contents of the annotation to the specified object. If the specified `target` is a DOM object, in-scope namespace declarations for `annotation` element are added as attribute nodes of the serialized `annotation`, otherwise the corresponding events for all in-scope namespace declarations are sent via the specified document handler.
      Parameters:
        `target` - A target pointer to the annotation target object, i.e. `org.w3c.dom.Document`, `org.w3c.dom.Element` , `org.xml.sax.ContentHandler`.
        `targetType` - A target type.
      Returns:
        True if the `target` is a recognized type and supported by this implementation, otherwise false.

    - #### getAnnotationString

          java.lang.String getAnnotationString()

      A text representation of the annotation.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.